Subject: Re: bug#62292: [PATCH] gnu: Add kitsas

From: Saku Laesvuori <[email-masked]>
Date: Thu, 20 Apr 2023 15:37:03 +0300

On Thu, Apr 20, 2023 at 02:38:14PM +0300, Saku Laesvuori wrote:
> > >> The test failures are worrisome though.  Could you investigate why those
> > >> tests are failing or crashing?
> > >> 
> > >> Those failures may indicate real issues.  Or it could be that they
> > >> require a running X server (other packages usually solve that by
> > >> spawning ‘Xvfb’ right before the ‘check’ phase).
> > >
> > > The tests also fail on an Arch linux machine with a running X server. I
> > > tried removing the failing ones, but that caused some of the previously
> > > passing ones to start segfaulting, so I have no idea how to fix them
> > > properly.
> > 
> > OK.  Could you report it upstream?
> 
> I'll send the maintainer an email as their issue tracker is on Github
> and I'd prefer not registering an account there.

Apparently the tests haven't been kept up to date with Qt and may get
fixed when Kitsas is updated to Qt 6.